Steam for Linux > Limited Beta > 主题详情
Sevenhill 2012年11月23日下午11:41
Issue Report: libappmenu.so: wrong ELF class: ELFCLASS64
(steam:3589): Gtk-WARNING **: A floating object was finalized. This means that someone
called g_object_unref() on an object that had only a floating
reference; the initial floating reference is not owned by anyone
and must be removed with g_object_ref_sink().
/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

(steam:3589): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

PS : I'm running steam client with "optirun steam" command


Processor Information:
Vendor: GenuineIntel
Speed: 2301 Mhz
4 logical processors
2 physical processors
HyperThreading: Supported
FCMOV: Supported
SSE2: Supported
SSE3: Supported
SSSE3: Supported
SSE4a: Unsupported
SSE41: Supported
SSE42: Supported

Network Information:
Network Speed:

Operating System Version:
Ubuntu 12.10 (64 bit)
Kernel Name: Linux
Kernel Version: 3.5.0-19-generic
X Server vendor: The X.Org Foundation
X Server release: 11300000

Video Card:
Driver: NVIDIA Corporation GeForce GT 540M/PCIe/SSE2

Driver Version: 4.2.0 NVIDIA 304.64
Desktop Color Depth: 24 bits per pixel
Monitor Refresh Rate: 60 Hz
VendorID: 0x8086
DeviceID: 0x116
Number of Monitors: 1
Number of Logical Video Cards: 1
Primary Display Resolution: 1600 x 900
Desktop Resolution: 1600 x 900
Primary Display Size: 13.54" x 7.64" (15.51" diag)
34.4cm x 19.4cm (39.4cm diag)
Primary VRAM: 1023 MB

Sound card:
Audio device:

Memory:
RAM: 5881 Mb

Miscellaneous:
UI Language: English
LANG: en_US.UTF-8
Microphone: Not set
Total Hard Disk Space Available: 138273 Mb
Largest Free Hard Disk Block: 109094 Mb

Installed software:

正在显示第 1 - 5 条,共 5 条留言
< >
FiXIDeA 2012年11月24日上午7:10 
sudo apt-get install appmenu-gtk:i386
FiXIDeA 2012年11月24日上午7:14 
sudo apt-get install libcanberra-gtk-module:i386 appmenu-gtk:i386 gtk2-engines-murrine:i386

This will remove some warnings
Sevenhill 2012年11月24日上午10:17 
Result : Installing appmenu-gtk:i386 libcanberra-gtk-module:i386 appmenu-gtk:i386 gtk2-engines-murrine:i386 gtk2-engines-murrine:i386 gtk3-engines-oxygen:i386
fixed the problem.

Conclusion : Steam installer have to install also these libraries
johnv 2012年11月26日下午12:33 
The problem here is that appmenu-gtk:i386 conflicts with appmenu-gtk. So it is not possible to have both the 32-bit and 64-bit packages installed. We don't have a good workaound for this until Canonical fixes this.
FiXIDeA 2012年11月26日下午5:05 
引用自 johnv
The problem here is that appmenu-gtk:i386 conflicts with appmenu-gtk. So it is not possible to have both the 32-bit and 64-bit packages installed. We don't have a good workaound for this until Canonical fixes this.

Ubuntu 12.10 have no problems
正在显示第 1 - 5 条,共 5 条留言
< >
每页显示数: 15 30 50
发帖日期: 2012年11月23日下午11:41
帖子数: 5